pcl::visualization::Window::ExitMainLoopTimerCallback Struct Reference

`#include <pcl/visualization/window.h>`

Inheritance diagram for pcl::visualization::Window::ExitMainLoopTimerCallback:

## Public Member Functions

| ExitMainLoopTimerCallback ()
void | Execute (vtkObject *, unsigned long event_id, void *call_data) override

## Static Public Member Functions

static ExitMainLoopTimerCallback * | New ()

## Public Attributes

int | right_timer_id
Window * | window

## Detailed Description

Definition at line 175 of file window.h.

## Constructor & Destructor Documentation

## ExitMainLoopTimerCallback()

pcl::visualization::Window::ExitMainLoopTimerCallback::ExitMainLoopTimerCallback | ( |  | ) |

## Member Function Documentation

## Execute()

void pcl::visualization::Window::ExitMainLoopTimerCallback::Execute | ( | vtkObject * | ,
|  | unsigned long | event_id,
|  | void * | call_data
| ) |  |

override

## New()

static ExitMainLoopTimerCallback* pcl::visualization::Window::ExitMainLoopTimerCallback::New | ( |  | ) |

inline static

Definition at line 177 of file window.h.

## Member Data Documentation

## right_timer_id

int pcl::visualization::Window::ExitMainLoopTimerCallback::right_timer_id

Definition at line 187 of file window.h.

## window

Window* pcl::visualization::Window::ExitMainLoopTimerCallback::window

Definition at line 188 of file window.h.

The documentation for this struct was generated from the following file:

- pcl/visualization/window.h